### Function

# GimpUi proc_view_new

#### Declaration [src]

    GtkWidget*
    gimp_proc_view_new (
      const gchar* procedure_name
    )

#### Description

No description available.

Available since: | 2.4

#### Parameters

`procedure_name` | `const gchar*`
| The name of a procedure.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new widget providing a view on a GIMP procedure.
| The caller of the function takes ownership of the data, and is responsible for freeing it.